LINUX.ORG.RU

Сообщения nihirash

 

NeoVim 0.2.1

Группа Open Source

Вышло минорное обновление текстового редактора NeoVim.

Главные особенности релиза:

  • интерпретатор LuaJIT для задач скриптования;
  • улучшение поддержки ОС Windows (в первую очередь улучшение работы терминала);
  • поддержка цветного вывода для внешней командной строки;
  • изменение поведения команды :terminal;
  • исправление более 20 ошибок.

>>> Подробности

 ,

nihirash ()

Red 0.6.3

Группа Разработка

Red — императивный функциональный язык программирования, представленный в 2011 году французским программистом Ненадом Ракоцевичем. Его синтаксис унаследован от интерпретируемого языка REBOL.

Цель создания Red — преодоление ограничений REBOL. По словам создателя, Red является «языком полного стека».

Red может использоваться как для высокоуровневого предметно-ориентированного программирования и создания графических интерфейсов, так и для низкоуровневого программирования операционных систем и драйверов.Его основные черты: простой синтаксис, гомоиконность, система макросов, статическая и JIT-компиляция, кросс-компиляция, малый размер исполняемых файлов (при отсутствии внешних зависимостей), REPL, возможность использовать как встраиваемый язык.

Данный релиз содержит порядка 800 исправлений и закрывает 86 задач. Одна из основных новостей — поддержка GUI под macOS с помощью нового бэкенда (что делает GUI полностью кросс-платформенным). Также можно отметить появление типа данных date!, расширения IO API, обновления LibRed.

>>> Подробности

 ,

nihirash ()

PicoLisp 17.6

Группа Разработка

29 июня вышла новая версия интерпретатора PicoLisp.

PicoLisp — это ультрапрагматичный минималистичный диалект Lisp, работающий исключительно в режиме интерпретации. В его стандартную библиотеку входит эффективная база данных и веб-сервер, что позволяет с его использованием создавать веб-сервисы (и не только).

Обновление включает в себя две новые функции, исправления ошибок и улучшения repl, добавлена библиотека для Android и новый компонент TreeChart для web-gui.

>>> Страница загрузки

 ,

nihirash ()

Уязвимость в некоторых версиях Samba

Группа Безопасность

В сетевом программном обеспечении Samba обнаружена уязвимость, с помощью которой можно получить возможность удалённого выполнения кода.

Уязвимость появилась ещё 7 лет назад, но чтобы ей воспользоваться, необходим доступ к ресурсу на запись, что сильно ограничивает возможность эксплуатации.

Под атакой могут оказаться версии от 3.5.0 и до 4.6.4/4.5.10/4.4.14.

В Metasploit уже есть эксплоит, поэтому рекомендуется обновить все серверы, если они используют протокол SMB.

>>> Подробности

 , ,

nihirash ()

RSS подписка на новые темы